Displays incorrect year for ftp directory listing for files dated in late Nov 2002

RESOLVED WORKSFORME

Status

()

Core
Networking: FTP
RESOLVED WORKSFORME
15 years ago
15 years ago

People

(Reporter: Terry Griffin, Assigned: dougt)

Tracking

({regression})

Trunk
x86
Linux
regression
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(URL)

Attachments

(1 attachment)

(Reporter)

Description

15 years ago
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2) Gecko/20021203
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2) Gecko/20021203

For some FTP directory listings, Mozilla displays the wrong year in the time
stamp. For example at ftp://ftp.axian.com/pub/people/terryg/distcc/ I get
this listing (pardon the mangling from the cut-and-paste):

Up to higher level directory
File: HISTORY 1 KB 11/24/2001 02:54:00 AM
File: README 1 KB 11/24/2001 03:10:00 AM
Directory: RH7-RPMS 11/24/2001 02:58:00 AM
Directory: RH8-RPMS 11/24/2001 02:58:00 AM
Directory: SRPMS 11/24/2001 02:58:00 AM

Which is wrong. All the files should be dated 2002. This is verified
with Netscape 4.79 and Konqueror 3.0.0 which shows 2002 as the year.

This problem seems to be only with files dated from Nov 23 2002 through
Nov 30 2002.


Reproducible: Always

Steps to Reproduce:
1. Visit ftp://ftp.axian.com/pub/people/terryg/distcc/
2.
3.

Actual Results:  
Files dated Nov 24 are shown as being from 2001.

Expected Results:  
Files should be shown as being from 2002.

Comment 1

15 years ago
I can confirm this. Following the link in mozilla, I get a display in which all
of the files dated Nov. 24 or Nov. 30 have 2001 for the year; all other files
have 2002. Simultaneously I did a manual ftp connection to the site and
confirmed all of the files are from 2002:

> ftp ftp.axian.com
Connected to zaphod.axian.com.
220 zaphod.axian.com FTP server (Version wu-2.6.1-16.7x.1) ready.
Name (ftp.axian.com:kherron): anonymous
331 Guest login ok, send your complete e-mail address as password.
Password:
230 Guest login ok, access restrictions apply.
ftp> cd /pub/people/terryg/distcc
250-Please read the file README
250-  it was last modified on Fri Dec  6 20:15:37 2002 - 0 days ago
250 CWD command successful.
ftp> dir
200 PORT command successful.
150 Opening ASCII mode data connection for directory listing.
total 40
-rw-rw-r--   1 1008     1008            0 Dec  1 08:00 Dec-01-2002
-rw-rw-r--   1 1008     1008          833 Nov 24 02:54 HISTORY
-rw-rw-r--   1 1008     1008            0 Nov 20 08:00 Nov-20-2002
-rw-rw-r--   1 1008     1008            0 Nov 30 08:00 Nov-30-2002
-rw-rw-r--   1 1008     1008          719 Dec  6 20:15 README
drwxrwxr-x   3 1008     1008         4096 Nov 24 02:58 RH7-RPMS
drwxrwxr-x   3 1008     1008         4096 Nov 24 02:58 RH8-RPMS
drwxrwxr-x   3 1008     1008         4096 Nov 24 02:58 SRPMS
226 Transfer complete.
533 bytes received in 0.052 seconds (9.91 Kbytes/s)

Status: UNCONFIRMED → NEW
Ever confirmed: true

Comment 2

15 years ago
Created attachment 108527 [details]
Screenshot of mozilla displaying the same directory

This screenshot was taken at the same time as the text-mode ftp session.

I forgot to add that I'm using solaris nightly 2002120522.
(Assignee)

Comment 3

15 years ago
over to neeti for investigation
Assignee: dougt → neeti

Comment 4

15 years ago
regression between builds 2002082722 and 2002082904
see also bug 170070, which regressed at the same point with similar symptoms
(wrong year), but more serious.
the regression was from bug 95590

Updated

15 years ago
Keywords: regression
(Assignee)

Comment 5

15 years ago
neeti no longer works on mozilla stuff.
Assignee: neeti → dougt
(Assignee)

Comment 6

15 years ago
This looks to be fixed.
Status: NEW → RESOLVED
Last Resolved: 15 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.